Subject: Re: [Pce] conf call for updates in draft-lee-pce-wson-rwa-ext-01

From: Leeyoung <[email-masked]>
Date: Tue, 19 Jul 2011 18:39:59 +0000

Hi PCEers,

Forwarded is a thread of email on PCEP ext for WSON RWA. Any interested party, please forward your email including [email-masked]<mailto:[email-masked]>.

Thanks.

Young

________________________________
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Saturday, July 09, 2011 4:45 AM
To: Leeyoung; Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

Thanks for the editorial works,

I think we may also discuss in Quebec.

Cyril

From: ext Leeyoung [mailto:[email-masked]]
Sent: Friday, July 08, 2011 9:44 PM
To: Margaria, Cyril (NSN - DE/Munich); Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi Cyril

Thanks for your review and good comments. Here's my reply in-line. Thanks.

Young

________________________________
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Friday, July 08, 2011 7:28 AM
To: Leeyoung; Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

Thanks a lot for the editorial work, it match what we discussed yesterday, I still have a few comments, some of them can be addressed for this revision, the label set can be left to discuss at Quebec.

1)      Editorial fixes:
The indentation of the section is quite strange,

YOUNG>> fixed

2)      WA Object :

Maybe add the following note: Note: additional TLVs may be defined to apply additional constraint to the order algorithm, for instance limiting the number of label to return.

YOUNG>> incorporated.

3)      Label set:
If I understand the difference between the LABEL_SET and Wavelength Restriction Field sub-TLV, is that the label set as per RFC3471 indicate label ranges
Whereas the Gen-Encode does allow a bit string encoding in a generic manner for GMPLS for efficiency reason

YOUNG>> Yes.

As gen-encode define  a new kind of label set which is more efficient I am wondering if it could not be used for the GMPLS draft, but the compatibility with RFC3471 would still need to be considered.
In the gen-encode the label-set is used in Available Labels, Shared Backup Labels and port Label restriction, in all of those TLVs the length can be deduced from the TLV length (only one
Its not however the case in draft-ietf-ccamp-rwa-wson-encode-11 where some TLVs (Resource Block Wavelength constraint and shared access wavelength) have two of this field,
I believe this is the motivation behind the Length field and the reason why the RFC3471 label set cannot be used, correct?

YOUNG>> Yes.

If we would like to retain compatibility with RFC3471 label set,  a new Action with type 4 (bit set) could be defined, it would imply that the draft-ietf-ccamp-rwa-wson-encode-11 would need to add fields to indicate the length of the label set fields, but it seems the only needed change, or did I miss something?

YOUNG>> In the context of this draft, I wasn't sure if we need to define Action 4 (bit map set) --- This was necessary in WSON RWA encoding which RWA OSPF draft uses to advertise link wavelength availability. Perhaps, Greg can clarify this point.

Best regards.

From: ext Leeyoung [mailto:[email-masked]]
Sent: Thursday, July 07, 2011 10:44 PM
To: Margaria, Cyril (NSN - DE/Munich); Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

Just to update you... enclosed is a revision of the PCEP ext for RWA. We have had a conference call this morning (Cyril, Oscar and myself) to discuss the issues. This revision is the result of the agreement (at least from how I understood). Thanks for Cyril and Oscar who provided valuable input.

To highlight the changes,

  *   Took out Wavelength Restriction TLV from the WA Object
  *   M bit (Mode) --- to specify Explicit WA (Central) and Distribute WA; and for Distributed WA, I put Editor's Note to further provide ranges/max numbers, etc.
  *   For Vendor Specific WA algorithm, add some explanatory text in which to say we might need to provide additional info in the TLV in the WA Object.
  *   Editorial --- including clean up OSPF artifacts, and others.
  *   Out of Scope --- pre-reservation RWA request and impairment validation

     *   We agreed that pre-reservation should be pursued after this draft has been accepted by the WG
     *   There is a separate impairment-aware RWA draft, which should be pursued separately given immaturity in ITU-T. I will publish this draft shortly.

Take a look and provide your feedback by COB Friday (July 8). Since I will have to take vacation next Monday, I'd like to publish v2 by the end of July 8. In case, you don't have time to read and/or give me your comment, we will discuss in Quebec City.

Thanks all for your contribution.

Best Regards,
Young

________________________________
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 5:21 PM
To: Leeyoung; Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

Thanks for your prompt reply,

Please see inline in black

From: ext Leeyoung [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 11:48 PM
To: Margaria, Cyril (NSN - DE/Munich); Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi Cyril,

Please pardon me that I didn't read your proposal. I will try to read before tomorrow's meeting.
And Thanks for your quick review of the draft suggestion I sent.

We will discuss in detail tomorrow. Please see in-line for my comments. Thanks.

Young

________________________________
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 4:18 PM
To: Leeyoung; Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

Thanks a lot for the document,
Did you had time to look at the changes I did propose? If no when would you have time, if yes I would appreciate an indication on them.

Regarding the new proposal
I would have the following comments :

-          I understand the motivation for the 2.1.1. Wavelength Restriction Constraint TLV to be to specify wavelength == Label  constraints on node/links, correct?

YOUNG>> Here I specified wavelength restriction on a link-level. Recall this was for tune-ability constraints so I did not bother for node case; if you feel we need on a node level, we can so indicate as well.

-          Having a sub-TLV in the WA object compared to extending the IRO and XRO with label inclusion/exclusion  is too lightly described for me to be convinced that it is a better approach

o   I see the following disadvantage to this approach:

§  Spread the label inclusion/exclusion in different objects,

§  What is missing in the XRO/IRO semantic?

YOUNG>> For this last point, I thought you used XRO/IRO for excluding and including signal processing which is fine with me. Sorry if I am confused with this point.

Cyril : For signal processing yes, here you are using (If I understood correctly, any correction is welcomed) a TLV is the WA to carry label set (i.e label restriction), so it seems to me that this means "if you use this link, use those labels", which one mapping would be an optional IRO with a label set,

Do this clarifiy my comments?

YOUNG>> Again, my thinking is you don't want to bother generic GMPLS stuff when there are wavelength specific things arise in the future (e.g. impairment RWA, etc) --- you don't want to change generic because of the changes required for WSON specific. WSON RWA is a very specific implementation whereby you don't really want to integrate with Generic stuff. I thought last time we agreed on letting WA object stay in tact ---perhaps I misunderstood.

Cyril : I tend to separate two points : label constraints behavior which can apply to any technology having label-swapping restrictions (all GMPLS one on restrictive HW ) and WSON specific one (typically Distributed or centralized WA, optical constraint checks).

Some very specific label constraint might be seen only typically in WSON networks but can apply to any switching technology ( label set on specific links for example), for those I think it may be OK to define them in the RWA draft, but it should be possible to have them on their own, this is why I think they should not be inside the WA object. Ideally one could support the document but not care of the WA at all.

I do not see WSON as a specific implementation, a specific feature yes, but it should still fit nicely in the framework.

o   I would understand the whish to keep RWA topic separated, but I feel that this approach could be also applied to each and every possible extension,
the protocol would feel like a patchwork of unrelated things, not a consistent set of objects

YOUNG>> I understand your point. The reason why I think separation of RWA specific topic prevents any changes to RWA specific things to stay in RWA draft, rather than changing GMPLS drafts which I think a bit more work involved down the road.

-          Length is introduced in WA; no explanation to what it relates is stated

YOUNG>> it relates to subsequent TLV's.

Cyril: the object already provide that, I am confused.

-          The O flag : there is one for vendor specific bit not space to put any vendor-specific information

o   I would say that having a TLV would allow for greater flexibility and allow vendor-specific information

YOUNG>> We can add sub-TLV if so desired. Do you have specific algorithm in mind?

Cyril : I do not know, but if two vendors choose to use this field in different way, I would have a problem if I need to implement that.

o   R bit : this bit is to indicate there is one or more ? restriction TLVs, this is redundant with the TLV themselves

YOUNG>> If R bit is set to 0, then there wouldn't be any nested sub-TLV. We may not have this nested sub-TLV had there not been any restriction.

-          I think it would be wise to remove the OSPF artifacts from the restrictions.

YOUNG>> I don't understand your point here. Please explain a bit more.

"Format: The format of the link identifier (6 bits)

         0 -- Link Local Identifier

Indicates that the links in the Link Set are identified by link local identifiers. All link local identifiers are supplied in the context of the advertising node."

The 2.1.1. Wavelength Restriction Constraint TLV description seems to need some work,,

<Wavelength Restriction Constraint> ::= <Action><dir><Format><Length>

                                                                                  <LinkIdSet>

                                                                                 <WavelenghtRestriction>

Where <LinkIdSet>  ::= (< Link Local Identifier>...) |
                                               (<Local Interface IPv4 Address  >...) |
                                               (<Local Interface IPv6 Address  >...)
(from first part of the text)

In addition there is th, (IPV4, IPV6, Unnumbered Link id) TLVs which should be in LinkIdSet ??
It seems to me that the intention was :
<WA> ::= <header> (<Wavelength Restriction Constraint>...)
<Wavelength Restriction Constraint> ::=   <Action> <Length>
                                                                                  <LinkOrNodeId>...
                                                                                 <WavelenghtRestriction>...

<LinkOrNodeId> ::= <IPV4_ADDR>|<IPV6_ADDR>|<UNNUMBERED_ADDR>

Thanks,
Lets discuss tomorrow.

From: ext Leeyoung [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 10:53 PM
To: Margaria, Cyril (NSN - DE/Munich); Oscar González de Dios; [email-masked]; [email-masked]; Fatai Zhang
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi all,

Here's my working version of PCE WSON RWA.

The highlight of the changes is:

-       Kept WA Object in tact and specify all Wavelength specific constraints under the WA Object
o   WA Policy Flag --- Explicit (Central WA) vs. Wavelength Set (Distributed WA)
o   WA order Flag - random/FF/LF/.../vendor specific
o   Wavelength Restriction Flag (if set to 1)
§  Link Identifiers
§  Wavelengths restricted for link identifiers
-       Added co-authors Fatai and Greg
-       Removed impairment related reference from the draft as the scope is clearly non-impairment RWA.

Let's discuss tomorrow @5pm CEST, 10AM CST, 8AM PST. I hope Greg can join us the meeting. I will send you a conference bridge shortly.

Thanks.

Young
________________________________
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 2:24 PM
To: Leeyoung; Oscar González de Dios; [email-masked]; [email-masked]
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi,

I am available tomorrow at 5pm CEST.

Please find attached my input on how to possibly address the alignment with GMPLS draft and some editor notes,
Based on the latest comment.
I left the holding outside of the proposal

BR

From: ext Leeyoung [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 6:26 PM
To: Oscar González de Dios; Greg Bernstein ([email-masked]); Margaria, Cyril (NSN - DE/Munich); [email-masked]
Subject: RE: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Hi Oscar,

Yes it will be good to have conference call. Please see my comment in-line below. Thanks.

Young

________________________________
From: Oscar González de Dios [mailto:[email-masked]]
Sent: Wednesday, July 06, 2011 8:50 AM
To: Leeyoung; Greg Bernstein ([email-masked]); Margaria, Cyril (NSN - DE/Munich) ([email-masked]); [email-masked]
Subject: conf call for updates in draft-lee-pce-wson-rwa-ext-01

Dear co-authors of draft-lee-pce-wson-rwa-ext-01

                Time passes quickly, and we have to update the draft-lee-pce-wson-rwa-ext-01.

                In line with our latest discussions during the Prague meeting, we need to address the following points:

-          Coherency with GMPLS draft. The focus of this draft must be WSON specific, leaving the generic label stuff for the GMPLS one.

YOUNG>> Agree. But there are unique things for wavelength that is not general and not important for generic labels. So we need to highlight those features.

-          Flags of the wavelength assignment. Requesting the label is included in the GMPLS draft. Thus, here we must focus on the wavelength. One possibility, suggested by Cyril is to include the WA policy, that could be like centralized WA or distributed WA.

YOUNG>> I think RWA request is unique for WSON although there is label request concept in GMPLS. I prefer RWA request should be dealt separately from GMPLS generic label request. IA-RWA is coming down the pipe as well so we might want to separate WSON related request in its unique domain.

We should support both centralized WA and distributed WA. The former is simple and the later is by the way of Wavelength Set suggested by PCE then each node along the path chooses from the Set.

-          Include a flag for holding the assigned wavelength in case of centralized WA. This is the targeted specific use case of the pre-reservation draft, so I think it fits here perfectly.

YOUNG>> I think this is not in scope of this draft. We can address this issue separately. Oscar, I thought you have separate draft on this issue. I'd more than willing to support that draft, but not in this draft.

-          Include a TLV for the suggested time to hold the wavelength according to   the IGP update times.

YOUNG>> Same comment as above.

-          Include considerations about the pre-reservation of the wavelength in the manageablility section.

YOUNG>> Same comment as above

-          Do we include the optical path validation? Scoped to another future draft?

YOUNG>> I am working on reviving IA-RWA PCE draft, which I think we should address on a separate draft. Greg and I presented this draft in Hiroshima, but at the time the IA-RWA did not make much progress, but now the IA-RWA framework has passed the WG LC, so it is a good time to revive the draft. If any one of you want to contribute on this IA-RWA, you're more than welcome to join us. I wills end the draft shortly as well.

Young, Greg, Cyril, Ramon, are you available tomorrow for a quick call to discuss this issues and decide if we add them to the next version? It can be at 5 pm CET (around 10:00 am in Dallas...)

                Best Regards,

                               Óscar

________________________________
Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at.
http://www.tid.es/ES/PAGINAS/disclaimer.aspx